<template>
  <div>
    <vol-box
      v-model="showDetialBox"
      :lazy="true"
      width="500px"
      :padding="15"
      title="修改货位状态"
    >
      <el-form ref="form" :model="form" label-width="80px">
        <el-form-item label="货位编号">
          <el-input v-model="form.locationCode" disabled></el-input>
        </el-form-item>
        <el-form-item label="货位状态">
          <el-select v-model="form.locationStatus" placeholder="请选择货位状态" @change="showStatus">
            <el-option
              v-for="item in options"
              :key="item.value"
              :label="item.label"
              :value="item.value"
            >
            </el-option> 
          </el-select>
          </el-form-item>
      </el-form>
      <template #footer>
        <el-button type="primary" size="small" @click="updateLocationStatus"
          >确定</el-button
        >
        <el-button type="danger" size="small" @click="showDetialBox = false"
          >取消</el-button
        >
      </template>
    </vol-box>
  </div>
</template>
  
  <script>
import VolBox from "@/components/basic/VolBox.vue";
export default {
  components: { VolBox },
  data() {
    return {
      form: {
        locationCode: "",
        locationStatus: "",
      },
      row: {},
      showDetialBox: false,
      height: "200px",
      options: [],
      value: "",
    };
  },
  methods: {
    showStatus(){
      console.log(this.form.locationStatus);
    },
    open(row) {
      this.row = row;
      this.showDetialBox = true;
      this.form.locationCode = row.locationCode;
      //this.form.locationStatus = row.locationStatus;
    },
    getOptions() {
      this.http
        .post("/api/LocationInfo/GetLocationStatusDic", {}, true)
        .then((x) => {
          if (!x.status) return this.$message.error(x.message);
          this.options = x.data;
          console.log(this.options);
        });
    },
    updateLocationStatus() {
      this.http
        .post(
          "/api/LocationInfo/UpdateLocationStatus?key=" +
            this.row.id +
            "&locationStatus=" +
            this.form.locationStatus,
          {},
          "数据处理中"
        )
        .then((x) => {
          if (!x.status) return this.$message.error(x.message);
          this.$message.success("操作成功");
          this.showDetialBox = false;
          this.form.locationStatus='';
          this.$parent.refresh()
        });
    },
  },
  created() {
    this.getOptions();
    console.log("created");
  },
};
</script>
  
  <style scoped>
.el-col {
  border-radius: 4px;
}
.grid-content {
  border-radius: 4px;
  min-height: 36px;
}
.content-text {
  display: flex;
  align-items: center;
  justify-content: center;
}
.right-text {
  display: flex;
  align-items: center;
  justify-content: flex-end;
}
</style>
  <style>
.el-table .warning-row {
  background: #fcf1e2;
}

.el-table .success-row {
  background: #f0f9eb;
}

.el-table .error-row {
  background: #fde2e2;
}
</style>